Subject: Re: PATCH Fix bonding active-backup behavior for VLAN interfaces

From: Christophe Devriese <[email-masked]>
Date: Sat, 29 Jul 2006 00:58:59 +0200

On Fri, Jul 28, 2006 at 03:08:49PM -0700, Ben Greear wrote:
> Christophe Devriese wrote:
> >On Fri, Jul 28, 2006 at 02:55:17PM -0700, Ben Greear wrote:
> >
> >>Christophe Devriese wrote:
> >>
> >>>I basically move the skb_bond method into if_bonding.h, include that file
> >>>in if_vlan ( and call it from the vlan forwarding path, and the netif_rx
> >>>routine ). 
> >>>
> >>>Somehow this patch is very incomplete. Let me try again.
> >>
> >>The patch looks sane this time.
> >>
> >>The skb_bond method assigns skb->dev when it does the 'keep',
> >>but the VLAN code immediately over-writes the skb->dev when
> >>searching for the vlan device.
> >>
> >>What is the purpose of assinging skb->dev to the master device?
> >
> >
> >I don't know. The method was only moved by this patch, not changed. The
> >contents of the method are exactly what they are in
> >linux-2.6.17.7/net/core/dev.c 
> >
> >I assume it has something to do with the other bonding methods.
> 
> Ok, I don't know much about the bonding logic.  Looks OK to me.

Will you sign-off on it then ? Or how do I get this applied ?

-- 
-----------------------------------------------------------------------
Christophe Devriese                                               EURiD
Network Adminstrator / Developer
[email-masked]
---------------------------- http://www.eth1.org ----------------------